# gdcm::Base64 Class Reference

Class for Base64. More...

`#include <gdcmBase64.h>`

List of all members.

## Public Member Functions

| Base64 ()
| ~Base64 ()

## Static Public Member Functions

static int | Decode (char *dst, int dlen, const char *src, int slen)
| Decode a base64-formatted buffer.
static int | Encode (char *dst, int dlen, const char *src, int slen)
| Encode a buffer into base64 format.
static int | GetDecodeLength (const char *src, int slen)
static int | GetEncodeLength (const char *src, int slen)

## Detailed Description

Class for Base64.

## Constructor & Destructor Documentation

gdcm::Base64::Base64 | ( |  | ) |

gdcm::Base64::~Base64 | ( |  | ) |

## Member Function Documentation

static int gdcm::Base64::Decode | ( | char * | dst,
|  | int | dlen,
|  | const char * | src,
|  | int | slen
| ) |  | `[static]`

Decode a base64-formatted buffer.

Parameters:

  dst | destination buffer
  dlen | size of the buffer
  src | source buffer
  slen | amount of data to be decoded

Returns:
  0 if successful

static int gdcm::Base64::Encode | ( | char * | dst,
|  | int | dlen,
|  | const char * | src,
|  | int | slen
| ) |  | `[static]`

Encode a buffer into base64 format.

Parameters:

  dst | destination buffer
  dlen | size of the buffer
  src | source buffer
  slen | amount of data to be encoded

Returns:
  0 if successful

static int gdcm::Base64::GetDecodeLength | ( | const char * | src,
|  | int | slen
| ) |  | `[static]`

Call this function with *dlen = 0 to obtain the required buffer size in *dlen

static int gdcm::Base64::GetEncodeLength | ( | const char * | src,
|  | int | slen
| ) |  | `[static]`

Call this function with dlen = 0 to obtain the required buffer size in dlen

The documentation for this class was generated from the following file:

- gdcmBase64.h